XISDNLOAD(1)

NAME
xisdnload - ISDN load average display for X

SYNOPSIS
xisdnload    [-toolkitoption ...] [-scale integer] [-update seconds] [-hl color] [-highlight color] [-online color] [-active color] [-trying color] [-activate command] [-deactivate command] [-jumpscroll pixels] [-number regexp] [-label string] [-nolabel]

DESCRIPTION
The xisdnload program displays a periodically updating histogram of the ISDN load average.

OPTIONS

Xisdnload accepts all of the standard X Toolkit command line options (see X(1)). The order of the options in unimportant. xisdnload also accepts the following additional options:

-hl color or -highlight color
    This option specifies the color of the scale lines.

-online color
    This option specifies the background color when one or more ISDN channels are online.

-active color
    This option specifies the background color when any route is found that is directed to an interface named isdn* or ippp*.

-trying color
    This option specifies the background color when at least one attempt to setup a cennection is pending.

-jumpscroll number of pixels
    The number of pixels to shift the graph to the left when the graph reaches the right edge of the window. The default value is 1/2 the width of the current window. Smooth scrolling can be achieved by setting it to 1.

-label string
    The string to put into the label above the load average when beeing online. It is interpreted as a standard format string and may contain the dialed number (%s), the minutes (%d) and seconds (%d) being online, the actual cps rate (%f), the amount of kbytes transfered (%d) and a connection history (%s) in this sequence.

-nolabel
    If this command line option is specified then no label will be displayed above the load graph.

-scale integer
    This option specifies the minimum number of tick marks in the histogram, where one division represents one load average point. If the load goes above this number, xisdnload will create more divisions, but it will never use fewer than this number. The default is 1.

-update seconds
    This option specifies the interval in seconds at which xisdnload updates its display. The minimum amount of time allowed between updates is 1 second. The default is 10.

-activate command
    This option specifies a command to be executed when dial-on-demand is not active and you clicked on the xisdnload stripchart. A typical command might be something like `sudo /etc/init.d/isdn start' to start up your connection.

-deactivate command
    This option specifies a command to be executed when dial-on-demand is active and you clicked on the xisdnload stripchart. A typical command might be something like `sudo /etc/init.d/isdn stop' to shut down your connection.

-number regexp
    The supplied regular expression is used to limit the set numbers to be observed by xisdnload.

RESOURCES
See the resource file for the available resources.

WIDGETS
In order to specify resources, it is useful to know the hierarchy of the widgets which compose xisdnload. In the notation below, indentation indicates hierarchical structure. The widget class name is given first, followed by the widget instance name.

XISDNLoad  xisdnload
	    Paned  paned
		    Label  label
		    StripChart  load

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

FILES
<XRoot>/lib/X11/app-defaults/XISDNLoad - specifies required resources.
/proc/net/route - kernel routing table. The proc filesystem is needed by xisdnload to detect wheather a dial-on-demand is active.

SEE ALSO
X(1), xrdb(1), xload(1), mem(4), Athena StripChart Widget.

BUGS
Certainly a lot.

COPYRIGHT
This program is based on xload which is Copyright (1988) X Consortium. See X(1) for a full statement of rights and permissions.

AUTHORS
Besides the basic xload stuff, the ISDN parts are added by
Frank Strauss <strauss@escape.de> (escape e.V., Braunschweig, Germany). In January 1998 Michael Deindl <olmur@dwarf.bb.bawue.de> contributed the `yellow' patch to make xisdnload recognize the phase of trying to connect and show this by a different background color. Markus Pilzecker <mp@timesink.pilzecker.de> detected a bug in the color assignment code resulting in seg faults which has been fixed in January 1998.